Alokai

SapccApiGetUserOrderInvoicesRequest

Request parameters for getUserOrderInvoices operation in SapccApi. SapccApiGetUserOrderInvoicesRequest

interface SapccApiGetUserOrderInvoicesRequest {
	readonly baseSiteId: string;
	readonly code: string;
	readonly currentPage?: number;
	readonly fields?: string;
	readonly pageSize?: number;
	readonly sort?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
baseSiteIdRequiredstringBase site identifier {string} SapccApiGetUserOrderInvoices
codeRequiredstringOrder Code {string} SapccApiGetUserOrderInvoices
currentPageOptionalnumberThe current result page requested. {number} SapccApiGetUserOrderInvoices
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiGetUserOrderInvoices
pageSizeOptionalnumberThe number of results returned per page. {number} SapccApiGetUserOrderInvoices
sortOptionalstringSorting method applied to the return results. {string} SapccApiGetUserOrderInvoices
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user {string} SapccApiGetUserOrderInvoices

On this page